Download it now!
Bug 90377 - MAILMERGE: Option to "Exclude this Recipient" broken
Summary: MAILMERGE: Option to "Exclude this Recipient" broken
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.1.2 release
Hardware: Other All
: medium major
Assignee: Björn Michaelsen
URL:
Whiteboard: target:5.1.0 target:5.0.0.3 target:4.4.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-03-31 17:27 UTC by R. Unkefer
Modified: 2016-10-25 19:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description R. Unkefer 2015-03-31 17:27:23 UTC
In past releases, we have used Mailmerge heavily, and rely on the ability to exclude recipients on the fly. This is suddenly broken, which is causing a big problem.

Our data source is a query from a LibreOffice Database using a JDBC connection to MySQL.

Symptom: When we page through the document and click the checkbox for "Exclude this Recipient," the box is checked, but a letter is generated for that person anyway, even though the "Exclude" box is checked.
Comment 1 Julien Nabet 2015-03-31 20:51:06 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

Jan-Marek: one for you?
Comment 2 Matthew Francis 2015-04-04 15:43:43 UTC
This began at the below commit.
(Eilidh McAdam doesn't seem to have a bugzilla account, so can't Cc)

    commit 636718c960a36bc28d37a69ac102dd6cb696bfba
    Author:     Eilidh McAdam <eilidh.mcadam@gmail.com>
    AuthorDate: Fri Jul 25 20:35:43 2014 +0100
    Commit:     Björn Michaelsen <bjoern.michaelsen@canonical.com>
    CommitDate: Tue Sep 16 08:37:43 2014 +0000
    
        Make UNO and wizard mail merge use same function.
    
        Instead of MergeDocuments and MergeMailFiles duplicating largely the
        same functionality, the only user of MergeDocuments (MM wizard) now
        uses MergeMailFiles.
Comment 3 Commit Notification 2015-07-04 22:19:30 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=88298839b51ef511161cddd5b20f001462384eea

tdf#90377: fix exclude recipient in mail merge

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-07-06 12:59:07 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=faf32bcd27b4a1e53cccb03de51a691152a75c6d&h=libreoffice-5-0

tdf#90377: fix exclude recipient in mail merge

It will be available in 5.0.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-07-08 13:58:28 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d623e7e6cba3090dcb5d21174cd5ed42bb069163&h=libreoffice-4-4

tdf#90377: fix exclude recipient in mail merge

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Robinson Tryon (qubit) 2015-12-17 08:50:42 UTC Comment hidden (obsolete)